%global srcname future
%global with_python3 0

Name:           python-%{srcname}
Version:        0.16.0
Release:        1%{?dist}
Summary:        Clean single-source support for Python 3 and 2

License:        MIT
URL:            https://python-future.org
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif # with_python3

%description
%global future_desc \
future is the missing compatibility layer between Python 2 and Python 3. It\
allows you to use a single, clean Python 3.x-compatible codebase to support both\
Python 2 and Python 3 with minimal overhead.

%description
%{future_desc}

%package -n     python2-%{srcname}
Summary:        Clean single-source support for Python 3 and 2

Requires:       python2-setuptools
%description -n python2-%{srcname}
%{future_desc}

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Clean single-source support for Python 3 and 2

Requires:       python%{python3_pkgversion}-setuptools
%description -n python%{python3_pkgversion}-%{srcname}
%{future_desc}
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
rm -rf %{buildroot}%{_bindir}/*
%endif # with_python3
%py2_install

%files -n python2-%{srcname}
%license docs/_themes/LICENSE LICENSE.txt
%doc README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize
%{python2_sitelib}/_dummy_thread
%{python2_sitelib}/_markupbase
%{python2_sitelib}/_thread
%{python2_sitelib}/builtins
%{python2_sitelib}/copyreg
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/html
%{python2_sitelib}/http
%{python2_sitelib}/libfuturize
%{python2_sitelib}/libpasteurize
%{python2_sitelib}/past
%{python2_sitelib}/queue
%{python2_sitelib}/reprlib
%{python2_sitelib}/socketserver
%{python2_sitelib}/tkinter
%{python2_sitelib}/winreg
%{python2_sitelib}/xmlrpc
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license docs/_themes/LICENSE LICENSE.txt
%doc README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize
%{python3_sitelib}/_dummy_thread
%{python3_sitelib}/_markupbase
%{python3_sitelib}/_thread
%{python3_sitelib}/builtins
%{python3_sitelib}/copyreg
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/html
%{python3_sitelib}/http
%{python3_sitelib}/libfuturize
%{python3_sitelib}/libpasteurize
%{python3_sitelib}/past
%{python3_sitelib}/queue
%{python3_sitelib}/reprlib
%{python3_sitelib}/socketserver
%{python3_sitelib}/tkinter
%{python3_sitelib}/winreg
%{python3_sitelib}/xmlrpc
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Oct 25 2018 Satoe Imaishi <simaishi@redhat.com> - 0.16.0-1
- Initial package.
